> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Metadata

Method allows you to provide arbitrary data upon creation of any Core API resource. This
data is referred to as **metadata** and will be returned as the `metadata` attribute
on any Core API resource.

Adding metadata to Core API resources is useful if you want to provide additional identifiers
that reference specific records or rows in your own database.

## Props

<ParamField query="metadata" type="object">
  A valid JSON object that must be less than 1KB in size when serialized.
</ParamField>

## Returns

Returns the created resource with the provided metadata object.

<RequestExample>
  ```bash cURL theme={null}
  curl https://production.methodfi.com/entities \
    -X POST \
    -H "Method-Version: 2026-03-30" \
    -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
    -H "Content-Type: application/json" \
    -d '{
      "type": "individual",
      "individual": {
        "first_name": "Kevin",
        "last_name": "Doyle",
        "phone": "+16505555555",
        "email": "kevin.doyle@gmail.com",
        "dob": "1997-03-18"
      },
      "metadata": {
        "user_id": "usr_jVFNtdlhDQnd92",
        "username": "kdoyle",
      }
    }'
  ```

  ```bash cURL theme={null}
  curl https://production.methodfi.com/entities \
    -X POST \
    -H "Method-Version: 2024-04-04" \
    -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
    -H "Content-Type: application/json" \
    -d '{
      "type": "individual",
      "individual": {
        "first_name": "Kevin",
        "last_name": "Doyle",
        "phone": "+16505555555",
        "email": "kevin.doyle@gmail.com",
        "dob": "1997-03-18"
      },
      "metadata": {
        "user_id": "usr_jVFNtdlhDQnd92",
        "username": "kdoyle",
      }
    }'
  ```

  ```javascript Node.js theme={null}
  const entity = await method.entities.create({
    type: 'individual',
    individual: {
      first_name: 'Kevin',
      last_name: 'Doyle',
      phone: '+16505555555',
      email: 'kevin.doyle@gmail.com',
      dob: '1997-03-18',
    },
    metadata: {
      user_id: 'usr_jVFNtdlhDQnd92',
      username: 'kdoyle',
    }
  });
  ```

  ```python Python theme={null}
  entity = method.entities.create({
    'type': 'individual',
    'individual': {
      'first_name': 'Kevin',
      'last_name': 'Doyle',
      'phone': '+16505555555',
      'email': 'kevin.doyle@gmail.com',
      'dob': '1997-03-18'
    },
    'metadata': {
      'user_id': 'usr_jVFNtdlhDQnd92',
      'username': 'kdoyle'
    }
  })
  ```
</RequestExample>
